$    launch_ver = 'f$verify(0)
$!-
$    __		= "WRITE SYS$OUTPUT"
$
$    if p1 .nes. "" then goto 005$
$    __ "Syntax:  LAUNCH <command>"
$    goto finish
$
$ 005$:
$    _c		= "WRITE COM_F"
$    com_f	= f$trnlnm("SYS$LOGIN") + "DECW$LAUNCH.COM"
$    log_f	= f$trnlnm("SYS$LOGIN") + "DECW$LAUNCH.LOG"
$    err_f	= f$trnlnm("SYS$LOGIN") + "DECW$LAUNCH.LOG"
$
$    create/fdl=sys$input 'com_f
FILE
	ALLOCATION		0
	ORGANIZATION		sequential

RECORD
	BLOCK_SPAN		yes
	CARRIAGE_CONTROL	carriage_return
	FORMAT			variable
	SIZE			0
$    open/append com_f 'com_f
$    _c "$    SET VERIFY"
$    _c "$!-  Detached process to execute """, p1, """"
$    _c "$    DEFINE/JOB SYS$SCRATCH ", f$trnlnm("SYS$SCRATCH")
$    _c "$"
$    _c "$!-  Set a unique process name"
$    _c "$    LAUNCH_CNT = 1
$    _c "$    SET NOON
$    _c "$ "
$    _c "$ NAME_LOOP:
$    _c "$    SET PROCESS/NAME=""", f$edit(f$getjpi("", "USERNAME"), "TRIM"), -
	"-'", "'LAUNCH_CNT'"""
$    _c "$    IF $STATUS THEN GOTO NAME_LOOP_END
$    _c "$    LAUNCH_CNT = LAUNCH_CNT + 1
$    _c "$    GOTO NAME_LOOP
$    _c "$"
$    _c "$ NAME_LOOP_END:
$    _c "$    SET ON
$    DEFINE/USER SYS$OUTPUT NL:
$    SHOW DISPLAY/SYMBOL
$    _c "$!-"
$    _c "$!   The following information was obtained by executing the command"
$    _c "$!   SHOW DIPSLAY/SYMBOL in the context of the LAUNCHed from process"
$    _c "$!-"
$    _c "$    SET DISPLAY/CREATE	-"
$    _c "	/NODE=", decw$display_node, "	-"
$    _c "	/SCREEN=", decw$display_screen, "	-"
$    _c "	/SERVER=", decw$display_server, "	-"
$    _c "	/TRANSPORT=", decw$display_transport
$    _c "$"
$    _c "$!-  What was actually set"
$    _c "$    SHOW DISPLAY"
$    _c "$"
$    _c "$!-  Your command follows"
$    _c "$    ", p1
$    _c "$"
$    _c "$!-  Cleanup"
$    if f$trnlnm("DECW_LAUNCH_LOG_COUNT") .EQS. ""
$	then _c "$    PURGE/LOG/NOCONFIRM ", log_f
$	else keep_number = f$integer(f$trnlnm("DECW_LAUNCH_LOG_COUNT"))
$	     if keep_number .le. 0
$		then _c "$    PURGE/LOG/NOCONFIRM ", log_f
$		else _c "$    PURGE/LOG/NOCONFIRM/KEEP=", keep_number, -
			" ", log_f
$	     endif
$    endif
$    if f$trnlnm("DECW_LAUNCH_KEEP_PROCEDURE") .EQS. ""
$	then _c "$    DELETE/LOG/NOCONFIRM ", f$search(com_f)
$	else _c "$!-  DECW_LAUNCH_KEEP_PROCEDURE defined, procedure NOT deleted"
$	     _c "$"
$    endif
$    _c "$ FINISH:"
$    _c "$    EXIT"
$    close com_f
$
$    run/detach		-
	/input='com_f	-
	/output='log_f	-
	/error='log_f	sys$system:loginout.exe
$
$ finish:
$    launch_ver = f$verify(launch_ver)
